de.vc.jfo.attributes

## Interface Attributes

-     public interface Attributes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ABSOLUTE_POSITION`
    `static java.lang.String` | `BACKGROUND_ATTACHMENT` If a background-image is specified, this property specifies whether it is fixed with regard to the viewport (fixed) or scrolls along with the document (scroll).
    `static java.lang.String` | `BACKGROUND_COLOR` This property sets the background color of an element, either a value or the keyword transparent, to make the underlying colors shine through.
    `static java.lang.String` | `BACKGROUND_IMAGE` This property sets the background image of an element.
    `static java.lang.String` | `BACKGROUND_POS_HOR` If a "background-image" has been specified, this property specifies its initial position horizontally.
    `static java.lang.String` | `BACKGROUND_POS_VER` If a "background-image" has been specified, this property specifies its initial position vertically.
    `static java.lang.String` | `BACKGROUND_REPEAT` If a background image is specified, this property specifies whether the image is repeated (tiled), and how.
    `static java.lang.String` | `BLANK_OR_NOT_BLANK` This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
    `static java.lang.String` | `BOTTOM` This property specifies how far a box's bottom margin edge is offset above the bottom edge of the box's containing block.
    `static java.lang.String` | `BREAK_AFTER` Specifies that the first normal area generated by formatting the next formatting object, if any, shall be the first one placed in a particular context (e.g. page-area, column-area).
    `static java.lang.String` | `BREAK_BEFORE` Specifies that the first area generated by formatting this formatting object shall be the first one placed in a particular context (e.g., page-area, column-area).
    `static java.lang.String` | `COLOR` This property describes the foreground color of an element's text content.
    `static java.lang.String` | `CONTENT_HEIGHT` Specifies the content-height of some object (e.g., an external graphic).
    `static java.lang.String` | `CONTENT_WIDTH` Specifies the content-width of some object (e.g., an external graphic).
    `static java.lang.String` | `DISPLAY_ALIGN` This property specifies the alignment, in the block-progression-direction, of the areas that are the children of a reference-area.
    `static java.lang.String` | `END_INDENT`
    `static java.lang.String` | `EXTERNAL_DESTINATION` Specifies the destination resource (or, when a fragment identifier is given, sub-resource) for an fo:basic-link.
    `static java.lang.String` | `FLOW_NAME` The flow-name and region-name are used to assign the flow's content (or static-content's content) to a specific region or series of regions in the layout.
    `static java.lang.String` | `FORCE_PAGE_COUNT` Force-page-count is used to impose a constraint on the number of pages in a page-sequence.
    `static java.lang.String` | `HEIGHT` This property specifies the content height of boxes generated by block-level and replaced elements.
    `static java.lang.String` | `HYPHENATE` This property specifies whether hyphenation is allowed during line-breaking when the formatter is formatting this formatting object.
    `static java.lang.String` | `INITIAL_PAGE_NUMBER` Sets the initial-page-number to be used on this page-sequence.
    `static java.lang.String` | `INTERNAL_DESTINATION` Specifies the destination flow object of an fo:basic-link.
    `static java.lang.String` | `KEEP_TOGETHER` This property imposes keep-together conditions on formatting objects.
    `static java.lang.String` | `KEEP_TOGETHER_WITHIN_COLUMN`
    `static java.lang.String` | `KEEP_TOGETHER_WITHIN_LINE`
    `static java.lang.String` | `KEEP_TOGETHER_WITHIN_PAGE`
    `static java.lang.String` | `KEEP_WITH_NEXT` This property imposes keep-with-next conditions on formatting objects.
    `static java.lang.String` | `KEEP_WITH_NEXT_WITHIN_COLUMN`
    `static java.lang.String` | `KEEP_WITH_NEXT_WITHIN_LINE`
    `static java.lang.String` | `KEEP_WITH_NEXT_WITHIN_PAGE`
    `static java.lang.String` | `KEEP_WITH_PREVIOUS` This property imposes keep-with-previous conditions on formatting objects.
    `static java.lang.String` | `KEEP_WITH_PREVIOUS_WITHIN_COLUMN`
    `static java.lang.String` | `KEEP_WITH_PREVIOUS_WITHIN_LINE`
    `static java.lang.String` | `KEEP_WITH_PREVIOUS_WITHIN_PAGE`
    `static java.lang.String` | `LANGUAGE` Specifies the language to be used by the formatter in language-/ locale-coupled services, such as line-justification strategy, line-breaking, and hyphenation.
    `static java.lang.String` | `LEADER_LENGTH` This property constrains the length of the leader to be between the minimum and maximum lengths.
    `static java.lang.String` | `LEADER_PATTERN` This property describes the pattern of a leader.
    `static java.lang.String` | `LEFT` This property specifies how far a box's left margin edge is offset to the right of the left edge of the box's containing block.
    `static java.lang.String` | `LETTER_SPACING` This property specifies spacing behavior between text characters.
    `static java.lang.String` | `LINE_HEIGHT` If the property is set on a block-level element whose content is composed of inline-level elements, it specifies the minimal height of each generated inline box.
    `static java.lang.String` | `LINE_HEIGHT_SHIFT_ADJUSTMENT` This property can be used to prevent superscript and subscript characters from disrupting the line-spacing.
    `static java.lang.String` | `LINEFEED_TREATMENT` The "linefeed-treatment" property specifies the treatment of linefeeds (character flow objects whose Unicode code point is U+000A) during the refinement process.
    `static java.lang.String` | `MARGIN_BOTTOM`
    `static java.lang.String` | `MARGIN_LEFT`
    `static java.lang.String` | `MARGIN_RIGHT`
    `static java.lang.String` | `MARGIN_TOP`
    `static java.lang.String` | `ODD_OR_EVEN` This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
    `static java.lang.String` | `ORPHANS` The "orphans" property specifies the minimum number of lines of a paragraph that must be left at the bottom of a page.
    `static java.lang.String` | `PAGE_POSITION` This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
    `static java.lang.String` | `RELATIVE_POSITION`
    `static java.lang.String` | `RIGHT` This property specifies how far a box's right margin edge is offset to the left of the right edge of the box's containing block.
    `static java.lang.String` | `ROLE` This property provides a hint for alternate renderers (aural readers, etc.)
    `static java.lang.String` | `SCALING` Specifies whether scaling needs to preserve the intrinsic aspect ratio.
    `static java.lang.String` | `SCALING_METHOD` This property is used to indicate a preference in the scaling/sizing tradeoff to be used when formatting bitmapped graphics.
    `static java.lang.String` | `SOURCE_DOCUMENT` This property provides a pointer back to the original XML document(s) used to create this formatting object tree, in accordance with the Dublin Core definition of "Source" ("A Reference to a resource from which the present resource is derived.")
    `static java.lang.String` | `SPACE_AFTER`
    `static java.lang.String` | `SPACE_BEFORE`
    `static java.lang.String` | `SPACE_END`
    `static java.lang.String` | `SPACE_START`
    `static java.lang.String` | `SRC` Specifies the URI reference to locate an external resource such as image/graphic data to be included as the content of this object, or color-profile data.
    `static java.lang.String` | `START_INDENT`
    `static java.lang.String` | `SUPPRESS_AT_LINE_BREAK` This property applies only to fo:character and determines whether the character's representation shall be suppressed when it would occur adjacent to a formatter-generated line break.
    `static java.lang.String` | `TEXT_ALIGN` This property describes how inline content of a block is aligned.
    `static java.lang.String` | `TEXT_ALIGN_LAST` Specifies the alignment of the last line-area child of the last block-area generated and returned by the formatting object, and to any line-area generated by the formatting object whose following sibling is a block-area that is not a line-area, and any lines in the block ending in U+000A.
    `static java.lang.String` | `TEXT_DECORATION` This property describes decorations that are added to the text of an element.
    `static java.lang.String` | `TEXT_INDENT` This property specifies the indentation of the first line of text in a block.
    `static java.lang.String` | `TOP` This property specifies how far a box's top margin edge is offset below the top edge of the box's containing block.
    `static java.lang.String` | `VERTICAL_ALIGN`
    `static java.lang.String` | `WHITE_SPACE_COLLAPSE` The "white-space-collapse" property specifies the treatment of consecutive white space during area tree construction.
    `static java.lang.String` | `WHITE_SPACE_TREATMENT` The "white-space-treatment" property specifies the treatment during the refinement process of character flow objects, except for linefeeds, that are classified as white space in XML.
    `static java.lang.String` | `WIDOWS` The "widows" property specifies the minimum number of lines of a paragraph that must be left at the top of a page.
    `static java.lang.String` | `WIDTH` This property specifies the content width of boxes generated by block-level and replaced elements.
    `static java.lang.String` | `WORD_SPACING` This property specifies spacing behavior between words.
    `static java.lang.String` | `WRITING_MODE` Writing mode property.

- - ### Field Detail

    - #### HEIGHT

          static final java.lang.String HEIGHT

      This property specifies the content height of boxes generated by block-level and replaced elements.
      See Also:
        Constant Field Values

    - #### WIDTH

          static final java.lang.String WIDTH

      This property specifies the content width of boxes generated by block-level and replaced elements.
      See Also:
        Constant Field Values

    - #### CONTENT_HEIGHT

          static final java.lang.String CONTENT_HEIGHT

      Specifies the content-height of some object (e.g., an external graphic).
      See Also:
        Constant Field Values

    - #### CONTENT_WIDTH

          static final java.lang.String CONTENT_WIDTH

      Specifies the content-width of some object (e.g., an external graphic).
      See Also:
        Constant Field Values

    - #### SCALING

          static final java.lang.String SCALING

      Specifies whether scaling needs to preserve the intrinsic aspect ratio.
      See Also:
        Constant Field Values

    - #### SCALING_METHOD

          static final java.lang.String SCALING_METHOD

      This property is used to indicate a preference in the scaling/sizing tradeoff to be used when formatting bitmapped graphics.
      See Also:
        Constant Field Values

    - #### TEXT_ALIGN

          static final java.lang.String TEXT_ALIGN

      This property describes how inline content of a block is aligned. For fo:external-graphic, fo:instream-foreign-object, and fo:table-and-caption it specifies the alignment of other areas as described in the constraint section for these formatting objects.
      See Also:
        Constant Field Values

    - #### TEXT_ALIGN_LAST

          static final java.lang.String TEXT_ALIGN_LAST

      Specifies the alignment of the last line-area child of the last block-area generated and returned by the formatting object, and to any line-area generated by the formatting object whose following sibling is a block-area that is not a line-area, and any lines in the block ending in U+000A.
      See Also:
        Constant Field Values

    - #### SRC

          static final java.lang.String SRC

      Specifies the URI reference to locate an external resource such as image/graphic data to be included as the content of this object, or color-profile data.
      See Also:
        Constant Field Values

    - #### DISPLAY_ALIGN

          static final java.lang.String DISPLAY_ALIGN

      This property specifies the alignment, in the block-progression-direction, of the areas that are the children of a reference-area.
      See Also:
        Constant Field Values

    - #### ABSOLUTE_POSITION

          static final java.lang.String ABSOLUTE_POSITION

      See Also:
        Constant Field Values

    - #### TOP

          static final java.lang.String TOP

      This property specifies how far a box's top margin edge is offset below the top edge of the box's containing block.
      See Also:
        Constant Field Values

    - #### LEFT

          static final java.lang.String LEFT

      This property specifies how far a box's left margin edge is offset to the right of the left edge of the box's containing block.
      See Also:
        Constant Field Values

    - #### RIGHT

          static final java.lang.String RIGHT

      This property specifies how far a box's right margin edge is offset to the left of the right edge of the box's containing block.
      See Also:
        Constant Field Values

    - #### BOTTOM

          static final java.lang.String BOTTOM

      This property specifies how far a box's bottom margin edge is offset above the bottom edge of the box's containing block.
      See Also:
        Constant Field Values

    - #### ROLE

          static final java.lang.String ROLE

      This property provides a hint for alternate renderers (aural readers, etc.) as to the role of the XML element or elements that were used to construct this formatting object, if one could be identified during XSLT tree construction. This information can be used to prepare alternate renderings when the normal rendering of a formatting object is not appropriate or satisfactory; for example, the role information can be used to provide better aural renderings of visually formatted material.
      See Also:
        Constant Field Values

    - #### SOURCE_DOCUMENT

          static final java.lang.String SOURCE_DOCUMENT

      This property provides a pointer back to the original XML document(s) used to create this formatting object tree, in accordance with the Dublin Core definition of "Source" ("A Reference to a resource from which the present resource is derived.") The value is not validated by and has no inherent standardized semantics for any XSL processor.
      See Also:
        Constant Field Values

    - #### BACKGROUND_ATTACHMENT

          static final java.lang.String BACKGROUND_ATTACHMENT

      If a background-image is specified, this property specifies whether it is fixed with regard to the viewport (fixed) or scrolls along with the document (scroll).
      See Also:
        Constant Field Values

    - #### BACKGROUND_COLOR

          static final java.lang.String BACKGROUND_COLOR

      This property sets the background color of an element, either a value or the keyword transparent, to make the underlying colors shine through.
      See Also:
        Constant Field Values

    - #### BACKGROUND_IMAGE

          static final java.lang.String BACKGROUND_IMAGE

      This property sets the background image of an element. When setting a "background-image", authors should also specify a background-color that will be used when the image is unavailable. When the image is available, it is rendered on top of the background color. (Thus, the color is visible in the transparent parts of the image).
      See Also:
        Constant Field Values

    - #### BACKGROUND_REPEAT

          static final java.lang.String BACKGROUND_REPEAT

      If a background image is specified, this property specifies whether the image is repeated (tiled), and how. All tiling covers the content and padding areas of a box.
      See Also:
        Constant Field Values

    - #### BACKGROUND_POS_HOR

          static final java.lang.String BACKGROUND_POS_HOR

      If a "background-image" has been specified, this property specifies its initial position horizontally.
      See Also:
        Constant Field Values

    - #### BACKGROUND_POS_VER

          static final java.lang.String BACKGROUND_POS_VER

      If a "background-image" has been specified, this property specifies its initial position vertically.
      See Also:
        Constant Field Values

    - #### EXTERNAL_DESTINATION

          static final java.lang.String EXTERNAL_DESTINATION

      Specifies the destination resource (or, when a fragment identifier is given, sub-resource) for an fo:basic-link.
      See Also:
        Constant Field Values

    - #### INTERNAL_DESTINATION

          static final java.lang.String INTERNAL_DESTINATION

      Specifies the destination flow object of an fo:basic-link. This property allows the destination flow object node to be explicitly specified.
      See Also:
        Constant Field Values

    - #### TEXT_INDENT

          static final java.lang.String TEXT_INDENT

      This property specifies the indentation of the first line of text in a block. More precisely, it specifies the indentation of the first box that flows into the block's first line box. The box is indented with respect to the left (or right, for right-to-left layout) edge of the line box. User agents should render this indentation as blank space.
      See Also:
        Constant Field Values

    - #### PAGE_POSITION

          static final java.lang.String PAGE_POSITION

      This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
      See Also:
        Constant Field Values

    - #### ODD_OR_EVEN

          static final java.lang.String ODD_OR_EVEN

      This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
      See Also:
        Constant Field Values

    - #### BLANK_OR_NOT_BLANK

          static final java.lang.String BLANK_OR_NOT_BLANK

      This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
      See Also:
        Constant Field Values

    - #### VERTICAL_ALIGN

          static final java.lang.String VERTICAL_ALIGN

      See Also:
        Constant Field Values

    - #### TEXT_DECORATION

          static final java.lang.String TEXT_DECORATION

      This property describes decorations that are added to the text of an element. If the property is specified for a block-level element, it affects all inline-level descendants of the element. If it is specified for (or affects) an inline-level element, it affects all boxes generated by the element.
      See Also:
        Constant Field Values

    - #### COLOR

          static final java.lang.String COLOR

      This property describes the foreground color of an element's text content.
      See Also:
        Constant Field Values

    - #### LEADER_LENGTH

          static final java.lang.String LEADER_LENGTH

      This property constrains the length of the leader to be between the minimum and maximum lengths.
      See Also:
        Constant Field Values

    - #### LEADER_PATTERN

          static final java.lang.String LEADER_PATTERN

      This property describes the pattern of a leader.
      See Also:
        Constant Field Values

    - #### INITIAL_PAGE_NUMBER

          static final java.lang.String INITIAL_PAGE_NUMBER

      Sets the initial-page-number to be used on this page-sequence.
      See Also:
        Constant Field Values

    - #### RELATIVE_POSITION

          static final java.lang.String RELATIVE_POSITION

      See Also:
        Constant Field Values

    - #### FLOW_NAME

          static final java.lang.String FLOW_NAME

      The flow-name and region-name are used to assign the flow's content (or static-content's content) to a specific region or series of regions in the layout. In XSL this is done by specifying the name of the target region as the flow-name. (For example, text placed in the region-body would specify flow-name="xsl-region-body".)
      See Also:
        Constant Field Values

    - #### BREAK_BEFORE

          static final java.lang.String BREAK_BEFORE

      Specifies that the first area generated by formatting this formatting object shall be the first one placed in a particular context (e.g., page-area, column-area).
      See Also:
        Constant Field Values

    - #### BREAK_AFTER

          static final java.lang.String BREAK_AFTER

      Specifies that the first normal area generated by formatting the next formatting object, if any, shall be the first one placed in a particular context (e.g. page-area, column-area).
      See Also:
        Constant Field Values

    - #### WIDOWS

          static final java.lang.String WIDOWS

      The "widows" property specifies the minimum number of lines of a paragraph that must be left at the top of a page.
      See Also:
        Constant Field Values

    - #### ORPHANS

          static final java.lang.String ORPHANS

      The "orphans" property specifies the minimum number of lines of a paragraph that must be left at the bottom of a page.
      See Also:
        Constant Field Values

    - #### LINEFEED_TREATMENT

          static final java.lang.String LINEFEED_TREATMENT

      The "linefeed-treatment" property specifies the treatment of linefeeds (character flow objects whose Unicode code point is U+000A) during the refinement process.
      See Also:
        `WHITE_SPACE_COLLAPSE`, `WHITE_SPACE_TREATMENT`, Constant Field Values

    - #### LINE_HEIGHT

          static final java.lang.String LINE_HEIGHT

      If the property is set on a block-level element whose content is composed of inline-level elements, it specifies the minimal height of each generated inline box. If the property is set on an inline-level element, it specifies the exact height of each box generated by the element. (Except for inline replaced elements, where the height of the box is given by the "height" property.)
      See Also:
        Constant Field Values

    - #### LINE_HEIGHT_SHIFT_ADJUSTMENT

          static final java.lang.String LINE_HEIGHT_SHIFT_ADJUSTMENT

      This property can be used to prevent superscript and subscript characters from disrupting the line-spacing.
      See Also:
        Constant Field Values

    - #### LETTER_SPACING

          static final java.lang.String LETTER_SPACING

      This property specifies spacing behavior between text characters.
      See Also:
        Constant Field Values

    - #### WORD_SPACING

          static final java.lang.String WORD_SPACING

      This property specifies spacing behavior between words.
      See Also:
        Constant Field Values

    - #### WHITE_SPACE_TREATMENT

          static final java.lang.String WHITE_SPACE_TREATMENT

      The "white-space-treatment" property specifies the treatment during the refinement process of character flow objects, except for linefeeds, that are classified as white space in XML. This includes U+0020 (space) and other white space characters but excludes U+000A (linefeed). Linefeed treatment is determined by the "linefeed-treatment" property. White space characters are
      - U+0020 - Space
      - U+0009 - Tabulator
      - U+000D - Carriage returns
      - U+000A - Linefeed (Linefeeds are classified as white space characters in XML but are NOT processed as white space here. )
      See Also:
        `LINEFEED_TREATMENT`, `WHITE_SPACE_COLLAPSE`, Constant Field Values

    - #### WHITE_SPACE_COLLAPSE

          static final java.lang.String WHITE_SPACE_COLLAPSE

      The "white-space-collapse" property specifies the treatment of consecutive white space during area tree construction. The overall effect of handling the white-space-treatment and linefeed-treatment properties during refinement and the white-space-collapse property during area tree generation is as follows: after refinement, where some white space characters may have been discarded or turned into space characters, all remaining runs of two or more consecutive spaces are replaced by a single space, then any remaining space immediately adjacent to a remaining linefeed is also discarded. White space characters are
      - U+0020 - Space
      - U+0009 - Tabulator
      - U+000D - Carriage returns
      - U+000A - Linefeed (Linefeeds are classified as white space characters in XML but are NOT processed as white space here. )
      See Also:
        `LINEFEED_TREATMENT`, `WHITE_SPACE_TREATMENT`, Constant Field Values

    - #### SUPPRESS_AT_LINE_BREAK

          static final java.lang.String SUPPRESS_AT_LINE_BREAK

      This property applies only to fo:character and determines whether the character's representation shall be suppressed when it would occur adjacent to a formatter-generated line break. Multiple characters may be so suppressed.
      See Also:
        Constant Field Values

    - #### KEEP_TOGETHER

          static final java.lang.String KEEP_TOGETHER

      This property imposes keep-together conditions on formatting objects. The <keep> datatype is composed of three components: within-line, within-column, and within-page. Different components apply to different classes of formatting objects and provide keep conditions relative to different contexts. In the case of the within-line component, the keep context consists of line-areas; for the within-column component, the keep context consists of column-areas; for the within-page component, the keep context consists of page-areas.
      See Also:
        `KEEP_TOGETHER_WITHIN_LINE`, `KEEP_TOGETHER_WITHIN_COLUMN`, `KEEP_TOGETHER_WITHIN_PAGE`, Constant Field Values

    - #### KEEP_TOGETHER_WITHIN_LINE

          static final java.lang.String KEEP_TOGETHER_WITHIN_LINE

      See Also:
        Constant Field Values

    - #### KEEP_TOGETHER_WITHIN_COLUMN

          static final java.lang.String KEEP_TOGETHER_WITHIN_COLUMN

      See Also:
        Constant Field Values

    - #### KEEP_TOGETHER_WITHIN_PAGE

          static final java.lang.String KEEP_TOGETHER_WITHIN_PAGE

      See Also:
        Constant Field Values

    - #### KEEP_WITH_NEXT

          static final java.lang.String KEEP_WITH_NEXT

      This property imposes keep-with-next conditions on formatting objects. The <keep> datatype is composed of three components: within-line, within-column, and within-page. Different components apply to different classes of formatting objects and provide keep conditions relative to different contexts. In the case of the within-line component, the keep context consists of line-areas; for the within-column component, the keep context consists of column-areas; for the within-page component, the keep context consists of page-areas.
      See Also:
        `KEEP_WITH_NEXT_WITHIN_LINE`, `KEEP_WITH_NEXT_WITHIN_COLUMN`, `KEEP_WITH_NEXT_WITHIN_PAGE`, Constant Field Values

    - #### KEEP_WITH_NEXT_WITHIN_LINE

          static final java.lang.String KEEP_WITH_NEXT_WITHIN_LINE

      See Also:
        Constant Field Values

    - #### KEEP_WITH_NEXT_WITHIN_COLUMN

          static final java.lang.String KEEP_WITH_NEXT_WITHIN_COLUMN

      See Also:
        Constant Field Values

    - #### KEEP_WITH_NEXT_WITHIN_PAGE

          static final java.lang.String KEEP_WITH_NEXT_WITHIN_PAGE

      See Also:
        Constant Field Values

    - #### KEEP_WITH_PREVIOUS

          static final java.lang.String KEEP_WITH_PREVIOUS

      This property imposes keep-with-previous conditions on formatting objects. The <keep> datatype is composed of three components: within-line, within-column, and within-page. Different components apply to different classes of formatting objects and provide keep conditions relative to different contexts. In the case of the within-line component, the keep context consists of line-areas; for the within-column component, the keep context consists of column-areas; for the within-page component, the keep context consists of page-areas.
      See Also:
        `KEEP_WITH_PREVIOUS_WITHIN_LINE`, `KEEP_WITH_PREVIOUS_WITHIN_COLUMN`, `KEEP_WITH_PREVIOUS_WITHIN_PAGE`, Constant Field Values

    - #### KEEP_WITH_PREVIOUS_WITHIN_LINE

          static final java.lang.String KEEP_WITH_PREVIOUS_WITHIN_LINE

      See Also:
        Constant Field Values

    - #### KEEP_WITH_PREVIOUS_WITHIN_COLUMN

          static final java.lang.String KEEP_WITH_PREVIOUS_WITHIN_COLUMN

      See Also:
        Constant Field Values

    - #### KEEP_WITH_PREVIOUS_WITHIN_PAGE

          static final java.lang.String KEEP_WITH_PREVIOUS_WITHIN_PAGE

      See Also:
        Constant Field Values

    - #### WRITING_MODE

          static final java.lang.String WRITING_MODE

      Writing mode property.
      See Also:
        Constant Field Values

    - #### MARGIN_TOP

          static final java.lang.String MARGIN_TOP

      See Also:
        Constant Field Values

    - #### MARGIN_BOTTOM

          static final java.lang.String MARGIN_BOTTOM

      See Also:
        Constant Field Values

    - #### MARGIN_LEFT

          static final java.lang.String MARGIN_LEFT

      See Also:
        Constant Field Values

    - #### MARGIN_RIGHT

          static final java.lang.String MARGIN_RIGHT

      See Also:
        Constant Field Values

    - #### SPACE_BEFORE

          static final java.lang.String SPACE_BEFORE

      See Also:
        Constant Field Values

    - #### SPACE_AFTER

          static final java.lang.String SPACE_AFTER

      See Also:
        Constant Field Values

    - #### SPACE_END

          static final java.lang.String SPACE_END

      See Also:
        Constant Field Values

    - #### SPACE_START

          static final java.lang.String SPACE_START

      See Also:
        Constant Field Values

    - #### START_INDENT

          static final java.lang.String START_INDENT

      See Also:
        Constant Field Values

    - #### END_INDENT

          static final java.lang.String END_INDENT

      See Also:
        Constant Field Values

    - #### LANGUAGE

          static final java.lang.String LANGUAGE

      Specifies the language to be used by the formatter in language-/ locale-coupled services, such as line-justification strategy, line-breaking, and hyphenation.
      See Also:
        Constant Field Values

    - #### HYPHENATE

          static final java.lang.String HYPHENATE

      This property specifies whether hyphenation is allowed during line-breaking when the formatter is formatting this formatting object.
      See Also:
        Constant Field Values

    - #### FORCE_PAGE_COUNT

          static final java.lang.String FORCE_PAGE_COUNT

      Force-page-count is used to impose a constraint on the number of pages in a page-sequence. In the event that this constraint is not satisfied, an additional page will be added to the end of the sequence. This page becomes the "last" page of that sequence.
      See Also:
        Constant Field Values

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.